Package org.apache.torque.dsfactory

# Class PerUserPool2DataSourceFactory

java.lang.Object
org.apache.torque.dsfactory.AbstractDataSourceFactory
org.apache.torque.dsfactory.PerUserPool2DataSourceFactory

All Implemented Interfaces:
  `DataSourceFactory`

public class PerUserPool2DataSourceFactory extends AbstractDataSourceFactory
A factory that looks up the DataSource using the DBCP2 pool methods.

Version:
  $Id: PerUserPoolDataSourceFactory.java 1485956 2013-05-24 07:55:47Z tfischer $
Author:
  Thomas Vandahl

- ## Field Summary

  ### Fields inherited from class org.apache.torque.dsfactory.AbstractDataSourceFactory

  `CONNECTION_KEY, DEFAULT_CONNECTION_KEY, DEFAULT_POOL_KEY, DEFAULTS_KEY, POOL_KEY, USE_DURATION_TEXT_FORMAT`

  ### Fields inherited from interface org.apache.torque.dsfactory.DataSourceFactory

  `DSFACTORY_KEY, FACTORY_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PerUserPool2DataSourceFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the pool associated with this factory and releases it.
  `DataSource`
  `getDataSource()`
  `void`
  `initialize(org.apache.commons.configuration2.Configuration configuration)`
  Initialize the factory.

  ### Methods inherited from class org.apache.torque.dsfactory.AbstractDataSourceFactory

  `applyAndRemoveGlobal, applyConfiguration, initCPDS, initJdbc2Pool, setProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PerUserPool2DataSourceFactory

    public PerUserPool2DataSourceFactory()

- ## Method Details

  - ### getDataSource

    public DataSource getDataSource()
    Specified by:
      `getDataSource` in interface `DataSourceFactory`
    Specified by:
      `getDataSource` in class `AbstractDataSourceFactory`
    Returns:
      the `DataSource` configured by the factory.
    See Also:
      - `DataSourceFactory.getDataSource()`

  - ### initialize

    public void initialize(org.apache.commons.configuration2.Configuration configuration) throws TorqueException
    Description copied from class: `AbstractDataSourceFactory`
    Initialize the factory.
    Specified by:
      `initialize` in interface `DataSourceFactory`
    Specified by:
      `initialize` in class `AbstractDataSourceFactory`
    Parameters:
      `configuration` - where to load the factory settings from
    Throws:
      `TorqueException` - Any exceptions caught during processing will be rethrown wrapped into a TorqueException.
    See Also:
      - `DataSourceFactory.initialize(org.apache.commons.configuration2.Configuration)`

  - ### close

    public void close() throws TorqueException
    Closes the pool associated with this factory and releases it.
    Throws:
      `TorqueException` - if the pool cannot be closed properly